diff -crB c:\mame0106s\mame0106s\src/mamedriv.c c:\mingw9\mame\src/mamedriv.c
*** c:\mame0106s\mame0106s\src/mamedriv.c	Wed May 10 21:35:28 2006
--- c:\mingw9\mame\src/mamedriv.c	Fri Jun 29 19:25:16 2012
***************
*** 4627,4637 ****
  	DRIVER( roadblcg )	/* 136048           (c) 1986, 1987 */
  	DRIVER( roadblc1 )	/* 136048           (c) 1986, 1987 */
  
  	/* Atari System 2 games */
- 	/* Paperboy */
- 	DRIVER( paperboy )	/* 136034           (c) 1984 */
- 	DRIVER( paperbr2 )	/* 136034           (c) 1984 */
- 	DRIVER( paperbr1 )	/* 136034           (c) 1984 */
  	/* Super Sprint */
  	DRIVER( ssprint )	/* 136042           (c) 1986 */
  	DRIVER( ssprint3 )	/* 136042           (c) 1986 */
--- 107,163 ----
  	DRIVER( roadblcg )	/* 136048           (c) 1986, 1987 */
  	DRIVER( roadblc1 )	/* 136048           (c) 1986, 1987 */
  
+ 	/* Taito Z-System games */
+ 	DRIVER( chasehq )	/* B52 (c) 1988 Taito Corporation Japan (World) */
+ 	DRIVER( chasehqj )	/* B52 (c) 1988 Taito Corporation (Japan) */
+ 	//DRIVER( contcirc )	/* B33 (c) 1987 Taito Corporation Japan (World) */
+ 	//DRIVER( contcrcu )	/* B33 (c) 1987 Taito America Corporation (US) */
+ 	//DRIVER( contcrua )	/* B33 (c) 1987 Taito America Corporation (US) */
+ 	DRIVER( sci )		/* C09 (c) 1989 Taito Corporation Japan (World) */
+ 	DRIVER( scia )		/* C09 (c) 1989 Taito Corporation Japan (World) */
+ 	DRIVER( sciu )		/* C09 (c) 1989 Taito America Corporation (US) */
+ 	DRIVER( scin )		/* C09 (c) 1991 Negro Sas Torino Hack (IT) */
+ 
+ 	/* enhanced Z-System hardware games */
+ 	DRIVER( superchs )	/* D46 (c) 1992 Taito America Corporation (US) */
+     	
+ 	/* other Taito games */	
+ 	DRIVER( topspeed )	/* B14 (c) 1987 Taito Corporation Japan (World) */
+ 	DRIVER( topspedu )	/* B14 (c) 1987 Taito America Corporation (US) */
+ 	DRIVER( fullthrl )	/* B14 (c) 1987 Taito Corporation (Japan) */
+ 
+ 	/* Konami games */
+ 	DRIVER( wecleman )	/* GX602 (c) 1986 */
+ 	DRIVER( chqflag )	/* GX717 (c) 1988 */
+ 	DRIVER( chqflagj )	/* GX717 (c) 1988 (Japan) */
+ 
+ 	/* Konami "Nemesis hardware" games */	
+ 	DRIVER( hcrash )	/* GX790 (c) 1987 */
+ 	DRIVER( hcrashc )	/* GX790 (c) 1987 */
+ 	DRIVER( konamigt )	/* GX561 (c) 1985 */
+ 	
+ 	/* Z8000 games */
+ 	DRIVER( polepos )	/* (c) 1982  */
+ 	DRIVER( poleposa )	/* 136014   (c) 1982 + Atari license */
+ 	DRIVER( polepos1 )	/* 136014   (c) 1982 Atari */
+ 	DRIVER( polepos2 )	/* (c) 1983 */
+ 	DRIVER( poleps2a )	/* 136014   (c) 1983 + Atari license */
+ 	DRIVER( poleps2b )	/* bootleg */
+ 	
+ 	/* Kaneko "AX System" games */	
+ 	DRIVER( gtmr )		/* (c) 1994 Kaneko */
+ 	DRIVER( gtmra )		/* (c) 1994 Kaneko */
+ 	DRIVER( gtmre )		/* (c) 1994 Kaneko */
+ 	DRIVER( gtmrusa )	/* (c) 1994 Kaneko (US) */
+ 	DRIVER( gtmr2 )		/* (c) 1995 Kaneko */
+ 	DRIVER( gtmr2a )	/* (c) 1995 Kaneko */
+ 	DRIVER( gtmr2u )	/* (c) 1995 Kaneko */
+ 
+ 	/* Bally Midway MCR games */
+ 	/* MCR3 */	
+ 	DRIVER( spyhunt )	/* (c) 1983 */
+ 	
  	/* Atari System 2 games */
  	/* Super Sprint */
  	DRIVER( ssprint )	/* 136042           (c) 1986 */
  	DRIVER( ssprint3 )	/* 136042           (c) 1986 */
***************
*** 4649,4674 ****
  	DRIVER( csprintf )	/* 136045           (c) 1986 */
  	DRIVER( csprints )	/* 136045           (c) 1986 */
  	DRIVER( csprins1 )	/* 136045           (c) 1986 */
! 	/* 720 Degrees */
! 	DRIVER( 720 )		/* 136047           (c) 1986 */
! 	DRIVER( 720r3 )		/* 136047           (c) 1986 */
! 	DRIVER( 720r2 )		/* 136047           (c) 1986 */
! 	DRIVER( 720r1 )		/* 136047           (c) 1986 */
! 	DRIVER( 720g )		/* 136047           (c) 1986 */
! 	DRIVER( 720gr1 )	/* 136047           (c) 1986 */
! 	/* APB. */
! 	DRIVER( apb )		/* 136051           (c) 1987 */
! 	DRIVER( apb6 )		/* 136051           (c) 1987 */
! 	DRIVER( apb5 )		/* 136051           (c) 1987 */
! 	DRIVER( apb4 )		/* 136051           (c) 1987 */
! 	DRIVER( apb3 )		/* 136051           (c) 1987 */
! 	DRIVER( apb2 )		/* 136051           (c) 1987 */
! 	DRIVER( apb1 )		/* 136051           (c) 1987 */
! 	DRIVER( apbg )		/* 136051           (c) 1987 */
! 	DRIVER( apbf )		/* 136051           (c) 1987 */
  
! 	/* Atari polygon games */
! 	DRIVER( irobot )	/* 136029           (c) 1983 */
  	/* Hard Drivin' */
  	DRIVER( harddriv )	/* 136052           (c) 1988 */
  	DRIVER( harddrvb )	/* 136052           (c) 1988 */
--- 175,212 ----
  	DRIVER( csprintf )	/* 136045           (c) 1986 */
  	DRIVER( csprints )	/* 136045           (c) 1986 */
  	DRIVER( csprins1 )	/* 136045           (c) 1986 */
! 	
! 	/* Namco System 2 games */
! 	//DRIVER( finallap )	/* 87.12 Final Lap */
! 	//DRIVER( finalapd )	/* 87.12 Final Lap */
! 	//DRIVER( finalapc )	/* 87.12 Final Lap */
! 	//DRIVER( finlapjc )	/* 87.12 Final Lap */
! 	//DRIVER( finlapjb )	/* 87.12 Final Lap */
! 	
! 	/* Namco FL games */
! 	DRIVER( finalapr )	/* (c) 1995 */
! 	DRIVER( finalapo )	/* (c) 1995 */
! 	
! 	/*Other Drivers*/
! 	DRIVER( badlands )	/* 136074           (c) 1989 */
! 	
! 		/* Williams/Midway games */
  
!     /*required to let MAME compile Cruis'n USA/World and San Francisco Rush*/
! 	DRIVER( tmek )		/* 136100           (c) 1994 */
! 
! 	/* Williams/Midway games */
! 
! 	DRIVER( crusnusa )	/* (c) 1994 Midway */
! 	DRIVER( crusnu40 )	/* (c) 1994 Midway */
! 	DRIVER( crusnu21 )	/* (c) 1994 Midway */
! 	DRIVER( crusnwld )	/* (c) 1996 Midway */
! 	DRIVER( crusnw20 )	/* (c) 1996 Midway */
! 	DRIVER( crusnw13 )	/* (c) 1996 Midway */
! 
! 	/* Midway / Atari  Voodoo based Hardware (Seattle, Flagstaff) */
! 	//DRIVER( sfrush )	/* (c) 1996 Atari Games */
! 	
  	/* Hard Drivin' */
  	DRIVER( harddriv )	/* 136052           (c) 1988 */
  	DRIVER( harddrvb )	/* 136052           (c) 1988 */
***************
*** 4682,4703 ****
  	DRIVER( harddrv2 )	/* 136052           (c) 1988 */
  	DRIVER( harddrv1 )	/* 136052           (c) 1988 */
  	/* Hard Drivin' Compact */
! 	DRIVER( harddrvc )	/* 136068           (c) 1990 */
! 	DRIVER( harddrcg )	/* 136068           (c) 1990 */
! 	DRIVER( harddrcb )	/* 136068           (c) 1990 */
! 	DRIVER( harddrc1 )	/* 136068           (c) 1990 */
! 	/* Stun Runner */
! 	DRIVER( stunrun )	/* 136070           (c) 1989 */
! 	DRIVER( stunrunj )	/* 136070           (c) 1989 */
! 	DRIVER( stunrun5 )	/* 136070           (c) 1989 */
! 	DRIVER( stunrune )	/* 136070           (c) 1989 */
! 	DRIVER( stunrun4 )	/* 136070           (c) 1989 */
! 	DRIVER( stunrun3 )	/* 136070           (c) 1989 */
! 	DRIVER( stunrn3e )	/* 136070           (c) 1989 */
! 	DRIVER( stunrun2 )	/* 136070           (c) 1989 */
! 	DRIVER( stunrn2e )	/* 136070           (c) 1989 */
! 	DRIVER( stunrun0 )	/* 136070           (c) 1989 */
! 	DRIVER( stunrunp )	/* (proto)          (c) 1989 */
  	/* Race Drivin' */
  	DRIVER( racedriv )	/* 136077           (c) 1990 */
  	DRIVER( racedrvb )	/* 136077           (c) 1990 */
--- 220,229 ----
  	DRIVER( harddrv2 )	/* 136052           (c) 1988 */
  	DRIVER( harddrv1 )	/* 136052           (c) 1988 */
  	/* Hard Drivin' Compact */
! 	//DRIVER( harddrvc )	/* 136068           (c) 1990 */
! 	//DRIVER( harddrcg )	/* 136068           (c) 1990 */
! 	//DRIVER( harddrcb )	/* 136068           (c) 1990 */
! 	//DRIVER( harddrc1 )	/* 136068           (c) 1990 */
  	/* Race Drivin' */
  	DRIVER( racedriv )	/* 136077           (c) 1990 */
  	DRIVER( racedrvb )	/* 136077           (c) 1990 */
diff -crB c:\mame0106s\mame0106s\src/ui_text.c c:\mingw9\mame\src/ui_text.c
*** c:\mame0106s\mame0106s\src/ui_text.c	Wed Apr 19 19:54:12 2006
--- c:\mingw9\mame\src/ui_text.c	Fri Aug 12 20:00:01 2011
***************
*** 24,29 ****
--- 24,30 ----
  static const char *mame_default_text[] =
  {
  	APPNAME,
+ 	"RacerMAME",
  	/* copyright stuff */
  	"Usage of emulators in conjunction with ROMs you don't own is forbidden by copyright law.",
  	"IF YOU ARE NOT LEGALLY ENTITLED TO PLAY \"%s\" ON THIS EMULATOR, PRESS ESC.",
***************
*** 198,203 ****
--- 199,212 ----
  	/* refresh rate */
  	"Refresh rate",
  	"Decoding Graphics",
+ 	
+ /* RacerMAME */
+     "INPUT CONFIGURATION WARNING:",
+     "The following hints are for potentiometer (270°) steering wheels. If your steer is optical, set -steertype- to 1 in .ini file.",
+     "With pot wheels \"%s\" is barely playable defining STEERING INC and DEC and setting STEERING ANALOG to none.",
+     "\"%s\" is best played defining STEERING ANALOG and setting STEERING DEC and INC to none.",
+     "\"%s\" is perfectly playable with optical steering wheels ONLY. ",
+     "This message will be hidden the next time you run this game.",
  
  	NULL
  };
diff -crB c:\mame0106s\mame0106s\src/ui_text.h c:\mingw9\mame\src/ui_text.h
*** c:\mame0106s\mame0106s\src/ui_text.h	Sun Feb 26 21:12:26 2006
--- c:\mingw9\mame\src/ui_text.h	Fri Aug 12 19:58:24 2011
***************
*** 21,26 ****
--- 21,27 ----
  enum
  {
  	UI_mame = 0,
+     UI_racermame,
  
  	/* copyright stuff */
  	UI_copyright1,
***************
*** 195,201 ****
--- 196,213 ----
  	UI_refresh_rate,
  	UI_decoding_gfx,
  
+    /*RacerMAME*/
+     UI_steer_warninp,
+     UI_steer_warnpot0,
+     UI_steer_warnpot1,
+     UI_steer_warnpot2,
+     UI_steer_warnpot3,
+     UI_steer_warnpend,
+ 
+  
+  
  	UI_last_mame_entry
+ 	
  };
  
  #ifdef MESS
diff -crB c:\mame0106s\mame0106s\src/usrintrf.c c:\mingw9\mame\src/usrintrf.c
*** c:\mame0106s\mame0106s\src/usrintrf.c	Thu May  4 09:19:00 2006
--- c:\mingw9\mame\src/usrintrf.c	Sat Jun 30 13:14:21 2012
***************
*** 421,426 ****
--- 420,429 ----
  	/* show info about the game */
  	if (show_gameinfo && ui_display_game_info(artwork_get_ui_bitmap()) != 0)
  		return 1;
+ 		
+ /*RacerMAME first run Steering warnings*/
+ if(options.steertype==0 && !mame_fopen(Machine->gamedrv->name, 0, FILETYPE_CONFIG, 0) && ui_display_steerwarning(artwork_get_ui_bitmap()) != 0)
+     return 1;
  
  	/* enable artwork now */
  	artwork_enable(TRUE);
***************
*** 2563,2571 ****
  		showgfx_yscroll = 0;
  	}
  
! 	if (input_ui_pressed_repeat(IPT_UI_LEFT,6))
  
! 	if (input_ui_pressed(
  }
  
  
--- 2566,2574 ----
  		showgfx_yscroll = 0;
  	}
  
! //	if (input_ui_pressed_repeat(IPT_UI_LEFT,6))
  
! //	if (input_ui_pressed(
  }
  
  
***************
*** 3312,3319 ****
  		/* add the game info */
  		bufptr += sprintf_game_info(bufptr);
  
! 		/* append MAME version and ask for any key */
! 		bufptr += sprintf(bufptr, "\n\t%s %s\n\t%s", ui_getstring(UI_mame), build_version, ui_getstring(UI_anykey));
  
  		/* draw the window */
  		ui_draw_message_window(buf);
--- 3315,3322 ----
  		/* add the game info */
  		bufptr += sprintf_game_info(bufptr);
  
! 		/* append RacerMAME version and ask for any key */
! 		bufptr += sprintf(bufptr, "\n\t%s %s\n\t%s", ui_getstring(UI_racermame), build_version, ui_getstring(UI_anykey));
  
  		/* draw the window */
  		ui_draw_message_window(buf);
***************
*** 3369,3376 ****
--- 3372,3428 ----
  	return 0;
  }
  
+ int ui_display_steerwarning(mame_bitmap *bitmap)
+ {
+ 	char buf[1000];
+ 	char *bufptr = buf;
+ 	int done;
+ /*this check includes optical racers and their clones*/
+ if(!strncmp(Machine->gamedrv->name, "konamigt", 7)||!strncmp(Machine->gamedrv->name, "polepos", 5)|| !strncmp(Machine->gamedrv->name, "roadblst", 6)|| !strncmp(Machine->gamedrv->name, "badlands", 6)|| !strncmp(Machine->gamedrv->name, "ssprint", 6)|| !strncmp(Machine->gamedrv->name, "csprint", 6) /*|| !strncmp(Machine->gamedrv->name, "harddriv", 5)*/) 
+ {
+         bufptr += sprintf(bufptr, "%s\n", ui_getstring(UI_steer_warninp));
+     	bufptr += sprintf(bufptr, "\n%s\n\n", ui_getstring(UI_steer_warnpot0));
+ 	    bufptr += sprintf(bufptr, ui_getstring(UI_steer_warnpot3), Machine->gamedrv->description);
+ 	    bufptr += sprintf(bufptr, ui_getstring(UI_steer_warnpot1), Machine->gamedrv->description);
+     	bufptr += sprintf(bufptr, "\n\n%s\n", ui_getstring(UI_steer_warnpend));
+ }
+ /*this check includes pot racers and their clones*/
+ //if(!strncmp(Machine->gamedrv->name, "gprider", 7)||!strncmp(Machine->gamedrv->name, "smgp", 4)||!strncmp(Machine->gamedrv->name, "abcop", 5)||!strncmp(Machine->gamedrv->name, "rachero", 7)||!strncmp(Machine->gamedrv->name, "orunners", 7)||!strncmp(Machine->gamedrv->name, "outrun", 5) || !strncmp(Machine->gamedrv->name, "toutrun", 5) || !strncmp(Machine->gamedrv->name, "pdrift", 5)  || !strncmp(Machine->gamedrv->name, "chasehq", 5) || !strncmp(Machine->gamedrv->name, "sci", 3) || !strncmp(Machine->gamedrv->name, "cischeat", 7) || !strncmp(Machine->gamedrv->name, "wecleman", 7) || !strncmp(Machine->gamedrv->name, "radm", 3)|| !strncmp(Machine->gamedrv->name, "fullthrl", 5)|| !strncmp(Machine->gamedrv->name, "topspeed", 6)|| !strncmp(Machine->gamedrv->name, "superchs", 6) || !strncmp(Machine->gamedrv->name, "chqflag", 6) || !strncmp(Machine->gamedrv->name, "gtmr", 4)|| !strncmp(Machine->gamedrv->name, "hcrash", 6)) 
+ else
+ {
+         bufptr += sprintf(bufptr, "%s\n", ui_getstring(UI_steer_warninp));
+     	bufptr += sprintf(bufptr, "\n%s\n\n", ui_getstring(UI_steer_warnpot0));
+ 	    bufptr += sprintf(bufptr, ui_getstring(UI_steer_warnpot2), Machine->gamedrv->description);
+     	bufptr += sprintf(bufptr, "\n\n%s\n", ui_getstring(UI_steer_warnpend));
+ }
+ 	menu_state = -1;
+ 	done = 0;
+ 
+ 	do
+ 	{
+ 		erase_screen(bitmap);
+ 
+ 		ui_draw_message_window(buf);
+ 		render_ui(bitmap);
  
+ 		update_video_and_audio();
+ 		if (input_ui_pressed(IPT_UI_CANCEL))
+ 		{
+ 			menu_state = 0;
+ 			return 1;
+ 		}
+ 		if (code_pressed_memory(KEYCODE_O) || input_ui_pressed(IPT_UI_LEFT) || code_pressed_memory(KEYCODE_ENTER) || code_pressed_memory(KEYCODE_1)|| code_pressed_memory(KEYCODE_1_PAD))
+ 			done = 1;
+ //		if (done == 1 && (code_pressed_memory(KEYCODE_K) || input_ui_pressed(IPT_UI_RIGHT)|| code_pressed_memory(KEYCODE_ENTER) || code_pressed_memory(KEYCODE_1)))
+ //			done = 2;
+ 	} while (done < 1 && !mame_is_scheduled_event_pending());
  
+ 	menu_state = 0;
+ 	erase_screen(bitmap);
+ 	update_video_and_audio();
+ 
+ 	return 0;
+ }
  
  /*********************************************************************
  
diff -crB c:\mame0106s\mame0106s\src/usrintrf.h c:\mingw9\mame\src/usrintrf.h
*** c:\mame0106s\mame0106s\src/usrintrf.h	Wed Mar 22 08:42:18 2006
--- c:\mingw9\mame\src/usrintrf.h	Wed Jun 29 20:03:37 2011
***************
*** 139,144 ****
--- 139,145 ----
  int ui_display_copyright(mame_bitmap *bitmap);
  int ui_display_game_warnings(mame_bitmap *bitmap);
  int ui_display_game_info(mame_bitmap *bitmap);
+ int ui_display_steerwarning(mame_bitmap *bitmap);
  
  /* temporarily show the FPS display for a period of time */
  void ui_show_fps_temp(double seconds);
diff -crB c:\mame0106s\mame0106s\src/vidhrdw/cischeat.c c:\mingw9\mame\src/vidhrdw/cischeat.c
*** c:\mame0106s\mame0106s\src/vidhrdw/cischeat.c	Tue Feb 28 10:39:16 2006
--- c:\mingw9\mame\src/vidhrdw/cischeat.c	Wed Sep  5 19:28:29 2012
***************
*** 179,203 ****
  
  ***************************************************************************/
  
- /*  This function returns the status of the shift (ACTIVE_LOW):
- 
-         1 - low  shift
-         0 - high shift
- 
-     and allows the shift to be handled using two buttons */
- 
- static int read_shift(void)
- {
- 	static int ret = 1; /* start with low shift */
- 	switch ( (readinputport(0) >> 2) & 3 )
- 	{
- 		case 1 : ret = 1;	break;	// low  shift: button 3
- 		case 2 : ret = 0;	break;	// high shift: button 4
- 	}
- 	return ret;
- }
- 
- 
  /*
      F1 GP Star has a real pedal, while Cisco Heat's is connected to
      a switch. The Former game stores, during boot, the value that
--- 179,184 ----
***************
*** 223,230 ****
  	switch (offset)
  	{
  		case 0x0000/2 : return readinputport(1);	// Coins
! 		case 0x0002/2 : return readinputport(2) +
! 						(read_shift()<<1);			// Buttons
  		case 0x0004/2 : return readinputport(3);	// Motor Limit Switches
  		case 0x0006/2 : return readinputport(4);	// DSW 1 & 2
  
--- 204,210 ----
  	switch (offset)
  	{
  		case 0x0000/2 : return readinputport(1);	// Coins
! 		case 0x0002/2 : return readinputport(2); 	// Buttons
  		case 0x0004/2 : return readinputport(3);	// Motor Limit Switches
  		case 0x0006/2 : return readinputport(4);	// DSW 1 & 2
  
***************
*** 320,327 ****
  	switch (offset)
  	{
  		case 0x0000/2 : return readinputport(1);	// Coins
! 		case 0x0002/2 : return readinputport(2) +
! 						(read_shift()<<1);			// Buttons
  		case 0x0004/2 : return readinputport(3);	// Motor Limit Switches
  		case 0x0006/2 : return readinputport(4);	// DSW 1 & 2
  
--- 300,306 ----
  	switch (offset)
  	{
  		case 0x0000/2 : return readinputport(1);	// Coins
! 		case 0x0002/2 : return readinputport(2);	// Buttons
  		case 0x0004/2 : return readinputport(3);	// Motor Limit Switches
  		case 0x0006/2 : return readinputport(4);	// DSW 1 & 2
  
***************
*** 421,428 ****
  		}
  
  //      case 0x0002/2 : return 0xFFFF;
! 		case 0x0004/2 :	return readinputport(2) +
! 						       (read_shift()<<5);	// Buttons
  
  		case 0x0006/2 :	return readinputport(3);	// ? Read at boot only
  		case 0x0008/2 :	return soundlatch2_r(0);	// From sound cpu
--- 400,406 ----
  		}
  
  //      case 0x0002/2 : return 0xFFFF;
! 		case 0x0004/2 :	return readinputport(2) ;	// Buttons
  
  		case 0x0006/2 :	return readinputport(3);	// ? Read at boot only
  		case 0x0008/2 :	return soundlatch2_r(0);	// From sound cpu
diff -crB c:\mame0106s\mame0106s\src/vidhrdw/segas32.c c:\mingw9\mame\src/vidhrdw/segas32.c
*** c:\mame0106s\mame0106s\src/vidhrdw/segas32.c	Sat Aug 20 13:43:23 2011
--- c:\mingw9\mame\src/vidhrdw/segas32.c	Sat Sep 17 14:57:08 2011
***************
*** 2630,2652 ****
  {
  	rectangle clipleft, clipright;
  	UINT8 enablemask;
  
  	/* update the visible area */
  	if (system32_videoram[0x1ff00/2] & 0x8000)
  	{
! 		set_visible_area(0, 52*2*8-1, 0, 28*8-1);
  		clipleft.min_x = 0;
  		clipleft.max_x = 52*8-1;
  		clipright.min_x = 52*8;
! 		clipright.max_x = 52*2*8-1;
  	}
  	else
  	{
! 		set_visible_area(0, 40*2*8-1, 0, 28*8-1);
  		clipleft.min_x = 0;
  		clipleft.max_x = 40*8-1;
  		clipright.min_x = 40*8;
! 		clipright.max_x = 40*2*8-1;
  	}
  	clipleft.min_y = clipright.min_y = cliprect->min_y;
  	clipleft.max_y = clipright.max_y = cliprect->max_y;
--- 2630,2657 ----
  {
  	rectangle clipleft, clipright;
  	UINT8 enablemask;
+ 	system32_displayenable[1]=0;/*RacerMAME, disables the 2nd screen*/
  
  	/* update the visible area */
  	if (system32_videoram[0x1ff00/2] & 0x8000)
  	{
! //		set_visible_area(0, 52*2*8-1, 0, 28*8-1);
! 		set_visible_area(0, 52*8-1, 0, 28*8-1);
  		clipleft.min_x = 0;
  		clipleft.max_x = 52*8-1;
  		clipright.min_x = 52*8;
! //		clipright.max_x = 52*2*8-1;
! 		clipright.max_x = 52*8-1;
  	}
  	else
  	{
! //		set_visible_area(0, 40*2*8-1, 0, 28*8-1);
! 		set_visible_area(0, 40*8-1, 0, 28*8-1);
  		clipleft.min_x = 0;
  		clipleft.max_x = 40*8-1;
  		clipright.min_x = 40*8;
! //		clipright.max_x = 40*2*8-1;
! 		clipright.max_x = 40*8-1;
  	}
  	clipleft.min_y = clipright.min_y = cliprect->min_y;
  	clipleft.max_y = clipright.max_y = cliprect->max_y;
diff -crB c:\mame0106s\mame0106s\src/windows/config.c c:\mingw9\mame\src/windows/config.c
*** c:\mame0106s\mame0106s\src/windows/config.c	Mon Apr 10 09:47:58 2006
--- c:\mingw9\mame\src/windows/config.c	Fri Jun 17 21:05:19 2011
***************
*** 219,225 ****
  	{ "record", "rec", rc_string, &recordname, NULL, 0, 0, NULL, "record an input file" },
  	{ "log", NULL, rc_bool, &errorlog, "0", 0, 0, init_errorlog, "generate error.log" },
  	{ "oslog", NULL, rc_bool, &win_erroroslog, "0", 0, 0, NULL, "output error log to debugger" },
! 	{ "skip_gameinfo", NULL, rc_bool, &options.skip_gameinfo, "0", 0, 0, NULL, "skip displaying the " GAMENOUN " info screen" },
  	{ "bios", NULL, rc_string, &options.bios, "default", 0, 14, NULL, "change system bios" },
  	{ "state", NULL, rc_string, &statename, NULL, 0, 0, NULL, "state to load" },
  	{ "autosave", NULL, rc_bool, &options.auto_save, "0", 0, 0, NULL, "enable automatic restore at startup and save at exit" },
--- 219,227 ----
  	{ "record", "rec", rc_string, &recordname, NULL, 0, 0, NULL, "record an input file" },
  	{ "log", NULL, rc_bool, &errorlog, "0", 0, 0, init_errorlog, "generate error.log" },
  	{ "oslog", NULL, rc_bool, &win_erroroslog, "0", 0, 0, NULL, "output error log to debugger" },
! 	{ "skip_gameinfo", NULL, rc_bool, &options.skip_gameinfo, "1", 0, 0, NULL, "skip displaying the " GAMENOUN " info screen" },
! 	{ "skip_disclaimer", NULL, rc_bool, &options.skip_disclaimer, "1", 0, 0, NULL, "skip displaying the " GAMENOUN " disclaimer screen" },
! 	{ "skip_warnings", NULL, rc_bool, &options.skip_warnings, "1", 0, 0, NULL, "skip displaying the " GAMENOUN " warnings screen" },
  	{ "bios", NULL, rc_string, &options.bios, "default", 0, 14, NULL, "change system bios" },
  	{ "state", NULL, rc_string, &statename, NULL, 0, 0, NULL, "state to load" },
  	{ "autosave", NULL, rc_bool, &options.auto_save, "0", 0, 0, NULL, "enable automatic restore at startup and save at exit" },
